isSetSupported测试通过,但API不可用并抛出ApiNotFound错误。

该方法 suspendApiCalculationUntilNextSync 根据文档,是Excel API 1.6的一部分。

我目前的设置是Excel 2016 for Mac v15.40。当我运行我的项目时,下面的测试通过了,但是作为 context.sync() 做它的工作,我得到错误的 ApiNotFound.

if (Office.context.requirements.isSetSupported("ExcelApi", 1.6)) {
  context.workbook.application.suspendApiCalculationUntilNextSync();
}

suspendApiCalculationUntilNextSync 真的是从1.6开始的吗?

这段代码在Windows版Excel中可以正常工作,但这里有一个问题,因为Mac和Windows版Excel都 “说 “支持1.6,但只有Windows版的方法可以实现。这里有一个问题,因为Mac和Windows的Excel都 “说 “它们支持1.6,但只有Windows版本实现了这个方法。

解决方案:

这个问题已经解决了。我刚刚验证了 suspendApiCalculationUntilNextSync 请验证,创建一个新的问题或通过以下方式报告。office-js问题 在github中,如果你还在观察 ApiNotFound 错误

给TA打赏
共{{data.count}}人
人已打赏
未分类

类型化数据集的正确用法

2022-9-9 6:03:16

未分类

|) - with Java's short circuiting, what's the forth condition JaCoCo wants me to cover?

2022-9-9 6:03:18

0 条回复 A文章作者 M管理员
    暂无讨论,说说你的看法吧
个人中心
购物车
优惠劵
今日签到
有新私信 私信列表
搜索